### Method

# ECal TimezoneCache list_timezones

since: 3.8

#### Declaration [src]

    GList*
    e_timezone_cache_list_timezones (
      ETimezoneCache* cache
    )

#### Description [src]

Returns a list of `ICalTimezone` instances that were explicitly added to the `cache` through e_timezone_cache_add_timezone(). In particular, any built-in time zone data that `e_timezone_cache_get_timezone()` may use to match a TZID string is excluded from the returned list.

Free the returned list with g_list_free(). The list elements are owned by the `cache` and should not be modified or freed.

Available since: 3.8

#### Return value

Type: A list of `ICalTimezone*`

A `GList` of `ICalTimezone` instances.

The caller of the method takes ownership of the returned data container, but not the data inside it.